フォーラムへの返信

10件の返信を表示中 - 16 - 25件目 (全25件中)
  • トピック投稿者 Senri Miura

    (@senribb)

    mr-cook-net 様

    ご報告ありがとうございます。
    現在、私がサーバーをお借りしているドメインキングにPHPのバージョンUPの件で問合せしたところ、以下の回答を得ています。

    お問い合わせの件でございますが、「PHP」のバージョンアップに関しましては、弊社側でも検討させていただいておりますが、現時点ではバージョンアップの実施は
    未定となっております。

    ※弊社にて導入致しておりますシステム等に不具合が発生する可能性が
     非常に高い為、現時点では「PHP」のバージョンを変更することが
     出来ない状態となります。

    という事です。いずれにしても、バージョンUPは、PHPにしてもWordPressにしてもリスクを伴うようです。

    因みに…

    また、NewStatPressの管理メニューの中のログ表示でエラーが発生する件も、今のところChromeでは発生していません。

    の上記の記述ですが、この件は撤回させて頂きます。先ほど、Chromeでも再発しました。
    ログを確認した訳ではないので断言できませんが、画面が真っ白になるので、HTTP500(内部サーバーエラー)かと思います。

    トピック投稿者 Senri Miura

    (@senribb)

    ご確認ありがとうございます。
    このプラグインは、英語バージョンのままでも、特に困らないので、
    私もそのように対応致しました。(私の環境でもちゃんと英語で表示されます)

    この現象がWordPressのバグに起因するもので無ければ良いのですが…

    トピック投稿者 Senri Miura

    (@senribb)

    因みに、確認のため以下に示すプラグイン「Broken Link Checker」のマルチリンガル定義ファイルを覗いて見ましたが、この中身は、当然ながら文字化けしていませんでした。
    プラグインの実行時に何故か文字化けするようです。

    /wp-content/plugins/broken-link-checker/languages/broken-link-checker-ja.po (UTF-8)

    #: includes/link-query.php:56
    msgid “All”
    msgstr “すべて”

    #: includes/link-query.php:26
    msgid “Broken”
    msgstr “リンクエラー”

    #: includes/link-query.php:46
    msgid “Dismissed”
    msgstr “リンク切れから解除されました”

    トピック投稿者 Senri Miura

    (@senribb)

    nobita 様

    どうもありがとうございます。
    Chromeでも試して見るというのが良いヒントになりました。

    先ほど、Chrome(バージョン 42.0.2311.90 m)を起動し、記事の更新を行ったところ問題なく動作しました!!

    よって、「4.1.2/4.2へアップデート後、記事の更新でブラウザが固まる」という現象は、WordPressの問題というよりも、現在、メインで使用してるブラウザであるIE(バージョン 11.0.9600.17728IS)の問題かと思われます。(ChromeはOK、IEはNGだが、WordPressには問題ないという解釈でOK?)

    また、NewStatPressの管理メニューの中のログ表示でエラーが発生する件も、今のところChromeでは発生していません。

    本件は、これで解決としたいところですが、プラグイン「Broken Link Checker」の管理メニューについては、Chromeでも文字化けしていますので、この調査は継続を希望します。如何でしょうか!?
    ネット上でも、WordPressの4.1.2へのアップグレードでこのプラグインの文字化けの現象が他の方からも報告されているようですし。

    それとも、本件はクローズとし、『WordPress 4.1.2/4.2へのアップグレードで、プラグイン「Broken Link Checker」の管理メニューが文字化けする』
    とした新たなスレッドを立てた方が良いのでしょうか?

    しかし、これがWordPressの問題ではなく、プラグイン単体の問題ならば、トピック違いになるのかもしれませんが…

    トピック投稿者 Senri Miura

    (@senribb)

    どうもありがとうございます。
    そうですか。プラグインのメンテの優先順位は低いという事ですね。

    MP3-jPlayerについては、先ほど停止した状態で実行したところ、同様に画面が固まってしまいましたので、MP3-jPlayerに原因があるようには思えません。

    他の原因としては、プラグイン間のconflictとかでしょうか。
    しかし、今まで動いていたものがWordPressのアップグレードで突然動かなくなったのは理解に苦しみます。

    セキュリティ上、あまり公開したくなかったのですが、参考のため現在使用中のプラグイン名とバージョンのリストを以下に貼っておきます。

    Akismet 3.1.1
    Auto Post Thumbnail 3.3.3
    BackWPup 3.1.4
    Biz Calendar 2.0.1
    Broken Link Checker 1.10.7
    Compact Audio Player 1.9.3
    Contact Form 7 4.1.2
    Content Copy Protection & Prevent Image Save 1.3
    Crayon Syntax Highlighter 2.7.1
    Crazy Bone (狂骨) 0.5.5
    Custom-More-Link-Complete 1.4.1
    DMSGuestbook 1.17.5
    DMSGuestbook widget 2.52
    Duplicator 0.5.16
    Easy FancyBox 1.5.7
    Google Captcha (reCAPTCHA) by BestWebSoft 1.15
    Google No CAPTCHA reCAPTCHA by WisdmLabs 1.1.2
    Google XML Sitemaps 4.0.8
    hpb Dashboard 1.2.9
    hpb seo plugin for WordPress 1.2.1
    Jetpack by WordPress.com 3.5
    MP3-jPlayer 2.3.2
    NewStatPress 0.9.8
    Optimize Database after Deleting Revisions 3.4.1
    P3 (Plugin Performance Profiler) 1.5.3.9
    PS Auto Sitemap	1.1.8
    PuSHPress 0.1.7.2
    Really Simple CAPTCHA 1.8.0.1
    RSS Image Feed 4.1.1
    Tag Widget 1.0.4
    Theme Authenticity Checker (TAC) 1.5.2
    TinyMCE Advanced 4.1.9
    Transposh Translation Filter 0.9.6.0
    WordPress Popular Posts	3.2.2
    WordPress Related Posts	3.5.4
    WordPress SEO 2.1.1
    WP-PageNavi 2.87
    WPFront Scroll Top 1.4.2
    WP Multibyte Patch 2.3.1
    Wp Pagenavi Style 1.4
    WP Super Cache 1.4.4
    トピック投稿者 Senri Miura

    (@senribb)

    WordPress 4.2.1がリリースされましたので、早速更新しましたが、残念ながら治っていませんでした。

    そこで、デバッグモードで実行してみました。
    PHPのワーニングが沢山出ていましたので、プラグインとの相性問題が発生したのかもしれません。
    ログの中からの抜粋を以下に貼っておきます。

    [28-Apr-2015 04:47:57] PHP Notice:  register_sidebar_widget is <strong>deprecated</strong> since version 2.8! Use wp_register_sidebar_widget() instead. in ・・・/wp-includes/functions.php on line 3391
    [28-Apr-2015 04:47:57] PHP Notice:  register_widget_control is <strong>deprecated</strong> since version 2.8! Use wp_register_widget_control() instead. in ・・・/wp-includes/functions.php on line 3391
    [28-Apr-2015 04:47:57] PHP Notice:  has_cap の使用はバージョン 2.0 から<strong>非推奨</strong>になりました ! プラグインやテーマでのユーザーレベルの使用は推奨されていません。代わりに権限グループと権限を使ってください。 in ・・・/wp-includes/functions.php on line 3508
    [28-Apr-2015 04:47:57] PHP Notice:  get_plugin_data の使用はバージョン 3.0 から<strong>非推奨</strong>になりました ! <code>Site Wide Only: true</code> プラグインのヘッダーは廃止予定です。代わりに <code>Network: true</code> を使ってください。 in ・・・/wp-includes/functions.php on line 3508
    [28-Apr-2015 04:47:57] PHP Notice:  Undefined index: post_type in ・・・/wp-content/themes/hpb19T20150109180129/functions.php on line 222
    [28-Apr-2015 04:48:04] PHP Notice:  Undefined index: HTTP_ACCEPT_LANGUAGE in ・・・/wp-content/plugins/transposh-translation-filter-for-wordpress/core/utils.php on line 387
    [28-Apr-2015 04:49:35] PHP Deprecated:  Function split() is deprecated in ・・・/wp-content/plugins/hpbseo/hpbseo.php on line 558

    全てのプラグインを停止して該当するプラグインを特定する方法が良いのでしょうが、
    運営中のサイトにつき、サイトの停止に繋がるような事はあまりやりたくないです。

    「has_cap の使用はバージョン 2.0 から非推奨になりました ! 」などは、プラグインが使用しているadd_options_page()関数の引数に問題があるそうなので、後ほど、全てのプラグインのソースをダウンロードし、使用しているプラグインのモジュールをgrepで探す予定です。
    必要ならば、ソースを修正して動作を確かめようと思います。
    他のワーニングもプラグインやテーマに問題があるかもしれません。
    これも時間がある時に調べてみます。
    いずれにしても、私にはWordPressプラグインのデバッグをやるスキルも時間もありませんので、上記のワーニングの中でどれが一番致命的なのか等について、ご教授頂ければ助かります。

    トピック投稿者 Senri Miura

    (@senribb)

    ご返信ありがとうございます。
    取り急ぎ、今解るところだけ、レスしておきます。

    >>文字が少ない記事は正常に投稿できるのですね?
    一応、出来るようです。

    >>一応デバッグモードの挙動は確認しましたか?
    未だ試していません。

    >>テーブルの(db全体ではなく)文字セットも全てutf8ですよね?
    プラグイン用 StatPress:
    _statpress -> latin1_swedish_ci
    _wp_rp_tags (多分、WordPress Related Posts用!?) -> latin1_swedish_ci

    プラグイン用 Transposh:
    _translations -> utf8_bin

    上記以外のテーブルは、全て utf8_general_ci です。

    >>文字化けするプラグインは一旦削除してインストールしなおしてみてください(多分無駄ですが…)

    はい、既にやってみましたが、ダメでした。(T.T)

    トピック投稿者 Senri Miura

    (@senribb)

    試しに以下のモジュールを前のバージョン(4.1.1)に戻してみましたが、この現象は治りませんでした。

    wp-includes/wp-db.php
    wp-includes/post.php

    因みに、WP Multibyte Patch(2.3.1)など、プラグインは全て最新バージョンに更新済
    みの状態です。

    サーバーと各バージョンは、以下の通りです。

    ・サーバー: ドメインキング
    ・PHPのバージョン: 5.3.3
    ・MySQLのバージョン: 5.0.77

    トピック投稿者 Senri Miura

    (@senribb)

    Daisuke Takahashi 様

    お忙しい中、ご助言ありがとうございます。

    ご指示に従って、先ず、ブラウザのキャッシュをクリア。
    そして、WordPressのプラグイン「WP Super Cache」を停止し、更にサーバー側のキャッシュを削除してから、関連するプラグインを全て停止した後、再度、当該する記事を更新しましたが、残念ながら結果は同じでした。

    念のため、wp-config.phpの定義「define(‘WP_MEMORY_LIMIT’, ‘128M’);」
    を「define(‘WP_MEMORY_LIMIT’, ‘256M’);」に増やし、
    サーバー側のPHP設定「max_execution_time」を120秒に設定して
    再度実行してみましたが、それでも解決には至っていません。

    どうも、記事の文字数が多い場合(又は文字の組み合わせによって)は、WordPress 4.2の挙動がおかしくなるように思えます。

    因みに、プラグイン「Broken Link Checker」を最新のバージョン1.10.7に更新しましたが、相変わらず文字化けしています。
    私が保有するもう一つのWordPressサイトの方は、同様の環境なのですが、こちらのサーバーでは文字化けしていません。
    今、何処が異なるのかを調べていますが、今の所、原因が掴めていません。

    参考までに、Broken Link Checkerの文字化けの画面と正常な方の画面(もう一つのサーバー)を以下に貼っておきます。

    文字化けの画面
    正常な画面

    私も一部の記事の更新が出来なくなりました。
    7000文字を超える記事の更新をしようとすると、ブラウザに「長時間応答中のスクリプトが原因で応答しません。」のメッセージが出てブラウザが固まってしまいます。
    記事に関連するプラグイン(WordPress SEO, TinyMCE Advanced, MP3-jPlayer, Easy FancyBox, Crayon Syntax Highlighter)がWordPressの新バージョンに対応していないのが原因かもしれませんが、詳しい原因は良く分かりません。⇒ 当面プラグインの更新待ち
    また、一部のプラグイン(Broken Link Checker, NewStatPress)で文字化けやログ表示でエラーが発生するなど、不具合が多発しております。
    なお、WordPress 4.1.2を4.2にバージョンアップしても、この現象は治りませんでした。
    何か良い解決法があれば、ご教授願いたいと存じます。

    ちなみに、DBサーバーの文字セットは、「UTF-8 Unicode (utf8)」です。

10件の返信を表示中 - 16 - 25件目 (全25件中)